#pragma once

#include <saas/library/report_builder/simple.h>

namespace NProxyMeta {
    class TRTYMetaProtoReportConstructor: public TRTYSimpleProtoReportBuilder {
    private:
        using TBase = TRTYSimpleProtoReportBuilder;

    public:
        TRTYMetaProtoReportConstructor(IReportBuilderContext& context);

        virtual void AddDocumentToGroup(NMetaProtocol::TDocument& doc, const TString& grouping, const TString& category) override;
        virtual void FinishImpl(NMetaProtocol::TReport& report, const ui32 httpCode) override;

    private:
        TString GroupingOverride;
    };
}
